Bug 832025 - libvorbisfile for i686 always fails at ov_open_callbacks()
libvorbisfile for i686 always fails at ov_open_callbacks()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvorbis (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 06:44 EDT by flibitijibibo
Modified: 2013-02-13 03:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:23:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A small C program to demonstrate the bug. (1.12 KB, text/x-csrc)
2012-06-14 06:44 EDT, flibitijibibo
no flags Details

  None (edit)
Description flibitijibibo 2012-06-14 06:44:40 EDT
Created attachment 591804 [details]
A small C program to demonstrate the bug.

Description of problem:
Basically, any attempt to load an Ogg Vorbis file will fail on Fedora 16 32-bit because it always tries to use SEEK_SET (or just 0, really) on the seek callback.

Version-Release number of selected component (if applicable):
1.3.3-1

How reproducible:
100%. Multiple machines tested with both 32-bit and 64-bit installations of Fedora.

Steps to Reproduce:
See attachment for a quick demonstration. If you want to trace the issue above you can make your own callbacks that print the SEEK_??? value.

Actual results:
The best case is that you just get an OV_ENOTVORBIS error, but the worst case (the default one, actually) is that you're stuck in an infinite loop of attempting to call the seek function with a bad value.

Expected results:
ov_open_callbacks() loading the Vorbis data without errors. In the case of the attached example, just getting a return value of 0.

Additional info:
libvorbis for x86_64 seems to be fine. In fact, libvorbis.fc17.i686 seems to be fine as well, but I have not tested this myself.
Comment 1 flibitijibibo 2012-06-14 07:12:49 EDT
(In reply to comment #0)
> Created attachment 591804 [details]
> A small C program to demonstrate the bug.
> 
> Description of problem:
> Basically, any attempt to load an Ogg Vorbis file will fail on Fedora 16
> 32-bit because it always tries to use SEEK_SET (or just 0, really) on the
> seek callback.
> 
> Version-Release number of selected component (if applicable):
> 1.3.3-1
> 
> How reproducible:
> 100%. Multiple machines tested with both 32-bit and 64-bit installations of
> Fedora.
> 
> Steps to Reproduce:
> See attachment for a quick demonstration. If you want to trace the issue
> above you can make your own callbacks that print the SEEK_??? value.
> 
> Actual results:
> The best case is that you just get an OV_ENOTVORBIS error, but the worst
> case (the default one, actually) is that you're stuck in an infinite loop of
> attempting to call the seek function with a bad value.
> 
> Expected results:
> ov_open_callbacks() loading the Vorbis data without errors. In the case of
> the attached example, just getting a return value of 0.
> 
> Additional info:
> libvorbis for x86_64 seems to be fine. In fact, libvorbis.fc17.i686 seems to
> be fine as well, but I have not tested this myself.

Bleh, it's been a long night. Typos for:

Description:
It will fail on a 64-bit installation when you use the 32-bit lib. I've not tested it on 32-bit Fedora 16.

Reproducible:
It's been tested on multiple 64-bit installations, comparing both the 32-bit and 64-bit libs. I also ran the attachment on a virtual FC17-32 environment and it seemed to be happy there,  but that's the only testing I've done on an x86 installation.
Comment 2 Fedora End Of Life 2013-01-16 05:05:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 03:23:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.